gi-gtk3-3.0.44: Gtk 3.x bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gtk.Objects.HeaderBarAccessible

Contents

- Exported types
- Methods

Description

No description available in the introspection data.

Since: 3.24.11

Synopsis

- newtype HeaderBarAccessible = HeaderBarAccessible (ManagedPtr HeaderBarAccessible)
- class (GObject o, IsDescendantOf HeaderBarAccessible o) => IsHeaderBarAccessible o
- toHeaderBarAccessible :: (MonadIO m, IsHeaderBarAccessible o) => o -> m HeaderBarAccessible

# Exported types

newtype HeaderBarAccessible Source #

Memory-managed wrapper type.

Constructors

HeaderBarAccessible (ManagedPtr HeaderBarAccessible) |

#### Instances

Instances details

Eq HeaderBarAccessible Source # |
Instance details Defined in GI.Gtk.Objects.HeaderBarAccessible Methods (==) :: HeaderBarAccessible -> HeaderBarAccessible -> Bool Source # (/=) :: HeaderBarAccessible -> HeaderBarAccessible -> Bool Source #
GObject HeaderBarAccessible Source # |
Instance details Defined in GI.Gtk.Objects.HeaderBarAccessible
ManagedPtrNewtype HeaderBarAccessible Source # |
Instance details Defined in GI.Gtk.Objects.HeaderBarAccessible Methods toManagedPtr :: HeaderBarAccessible -> ManagedPtr HeaderBarAccessible Source #
TypedObject HeaderBarAccessible Source # |
Instance details Defined in GI.Gtk.Objects.HeaderBarAccessible Methods glibType :: IO GType Source #
HasParentTypes HeaderBarAccessible Source # |
Instance details Defined in GI.Gtk.Objects.HeaderBarAccessible
IsGValue (Maybe HeaderBarAccessible) Source # | Convert `HeaderBarAccessible` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.Gtk.Objects.HeaderBarAccessible Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe HeaderBarAccessible -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe HeaderBarAccessible) Source #
type ParentTypes HeaderBarAccessible Source # |
Instance details Defined in GI.Gtk.Objects.HeaderBarAccessible type ParentTypes HeaderBarAccessible = '[ContainerAccessible, WidgetAccessible, Accessible, Object, Object, Component]

class (GObject o, IsDescendantOf HeaderBarAccessible o) => IsHeaderBarAccessible o Source #

Type class for types which can be safely cast to `HeaderBarAccessible`, for instance with `toHeaderBarAccessible`.

#### Instances

Instances details

(GObject o, IsDescendantOf HeaderBarAccessible o) => IsHeaderBarAccessible o Source # |
Instance details Defined in GI.Gtk.Objects.HeaderBarAccessible

toHeaderBarAccessible :: (MonadIO m, IsHeaderBarAccessible o) => o -> m HeaderBarAccessible Source #

Cast to `HeaderBarAccessible`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

addRelationship, bindProperty, bindPropertyFull, connectWidgetDestroyed, contains, forceFloating, freezeNotify, getv, grabFocus, initialize, isFloating, notify, notifyByPspec, notifyStateChange, peekParent, ref, refAccessibleAtPoint, refAccessibleChild, refRelationSet, refSink, refStateSet, removeFocusHandler, removePropertyChangeHandler, removeRelationship, runDispose, scrollTo, scrollToPoint, stealData, stealQdata, thawNotify, unref, watchClosure.

#### Getters

getAccessibleId, getAlpha, getAttributes, getData, getDescription, getExtents, getHelpText, getIndexInParent, getLayer, getMdiZorder, getNAccessibleChildren, getName, getObjectLocale, getParent, getPosition, getProperty, getQdata, getRole, getSize, getWidget.

#### Setters

setAccessibleId, setData, setDataFull, setDescription, setExtents, setHelpText, setName, setParent, setPosition, setProperty, setRole, setSize, setWidget.